---
title: Keyboard Navigation
page_title: Keyboard Navigation - AutoComplete - Kendo UI for Vue
description: "Explore the keyboard navigation options provided by the Kendo UI AutoComplete wrapper for Vue."
slug: keyboard_navigation_autocomplete_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/dropdowns/autocomplete/keyboard-navigation/"
position: 8
---

<div><WrapperBanner link="/kendo-vue-ui/components/dropdowns/autocomplete/keyboard-navigation"></WrapperBanner></div>

# Keyboard Navigation

The keyboard support of the AutoComplete is always available.

To apply the keyboard shortcuts, focus the AutoComplete by clicking the example area and pressing the `Tab` key.

The AutoComplete and its drop-down elements support the following keyboard shortcuts:

| SHORTCUT    | DESCRIPTION |
|:---         |:---         |
| `Up Arrow`  | Highlights the previous item.|
| `Down Arrow`| <ul><li>Highlights the next item.</li> <li>Opens the popup if the value is set.</li></ul>|
| `Page Up`   | Scrolls the popup up.|
| `Page Down` | Scrolls the popup down.|
| `Enter`     | Selects the highlighted item.|
| `Esc`       | <ul><li>Closes the popup.</li> <li>Clears the value if the popup is not opened.</li></ul> |

{% meta height:350 %}
{% embed_file autocomplete/keyboard/main.vue preview %}
{% embed_file autocomplete/keyboard/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI AutoComplete for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/autocomplete/overview)
* [API Reference of the AutoComplete Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/autocomplete)
