---
title: Keyboard Navigation
page_title: Keyboard Navigation - ComboBox - Kendo UI for Vue
description: "Explore the keyboard navigation options provided by the Kendo UI ComboBox wrapper for Vue."
slug: keyboard_navigation_combobox_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/dropdowns/combobox/keyboard-navigation/"
position: 9
---

<div><WrapperBanner link="/kendo-vue-ui/components/dropdowns/combobox/keyboard-navigation"></WrapperBanner></div>

# Keyboard Navigation

The keyboard support of the ComboBox is always available.

To apply the keyboard shortcuts, focus the ComboBox by clicking the example area and pressing the `Tab` key.

The ComboBox, its button, and drop-down elements support the following keyboard shortcuts:

| SHORTCUT    | DESCRIPTION |
|:---         |:--- |
| `Up Arrow`  | Highlights the previous item.|
| `Down Arrow`| Highlights the next item.|
| `Home`      | Highlights the first item.|
| `End`       | Highlights the last item.|
| `Page Up`   | Scrolls the popup up.|
| `Page Down` | Scrolls the popup down.|
| `Enter`     | Selects the highlighted item.|
| `Esc`       | <ul><li>Closes the popup.</li> <li>Clears the value if the popup is not opened.</li></ul>|
| `Alt`+`Down Arrow`  | Opens the popup.|
| `Alt`+`Up Arrow`    | Closes the popup.|

{% meta height:350 %}
{% embed_file combobox/keyboard/main.vue preview %}
{% embed_file combobox/keyboard/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI ComboBox for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/combobox/overview)
* [API Reference of the ComboBox Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/combobox)
