---
title: Virtualization
page_title: Virtualization - ComboBox - Kendo UI for Vue
description: "Use the virtualization features of the Kendo UI ComboBox wrapper for Vue which allow you to handle large datasets."
slug: virtualization_combobox_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/dropdowns/combobox/virtualization/"
position: 4
---

<div><WrapperBanner link="/kendo-vue-ui/components/dropdowns/combobox/virtualization"></WrapperBanner></div>

# Virtualization

Virtualization allows you to display large sets of data.

Regardless of the dataset size, the UI virtualization technique uses a fixed amount of list items in the popup list of the component. When the list is scrolled, the ComboBox reuses the existing items to display the relevant data instead of creating new data.

The following example demonstrates how to set the minimum configuration of the ComboBox and the DataSource to enable the virtualization.

{% meta height:350 %}
{% embed_file combobox/virtualization/main.vue preview %}
{% embed_file combobox/virtualization/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI ComboBox for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/combobox/overview)
* [API Reference of the ComboBox Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/combobox)
