---
title: Columns
page_title: Columns - MultiColumnComboBox - Kendo UI for Vue
description: "Configure the columns rendered in the Kendo UI MultiColumnComboBox wrapper for Vue drop-down."
slug: columns_multicolumncombobox_wrapper
position: 3
---

# Columns

The MultiColumnComboBox supports options for configuring the behavior of its columns.

To manage the columns of the MultiColumnComboBox, either:
* [Use the `kendo-multicolumncombobox-columns` component](#toc-using-the-kendo-multicolumncombobox-columns-component), or
* [Configure an object in the Vue data](#toc-using-the-data-vue-object).

For more information on the available props, refer to the [`multicolumncombobox.columns`](https://docs.telerik.com/kendo-ui/api/javascript/ui/multicolumncombobox/configuration/columns) configuration.

## Using the kendo-multicolumncombobox-columns Component

The following example demonstrates how to set the inline initialization of the `kendo-multicolumncombobox-columns` component.

{% meta height:350 %}
{% embed_file multicolumncombobox/columns/basic/main.vue preview %}
{% embed_file multicolumncombobox/columns/basic/main.js %}
{% endmeta %}

## Using the data Vue Object

The following example demonstrates how to use the `data` object to specify the columns of the MultiColumnComboBox.

{% meta height:350 %}
{% embed_file multicolumncombobox/columns/vueobject/main.vue preview %}
{% embed_file multicolumncombobox/columns/vueobject/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI MultiColumnComboBox for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/multicolumncombobox/overview)
* [API Reference of the MultiColumnComboBox Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/multicolumncombobox)
