---
title: Keyboard Navigation
page_title: Keyboard Navigation - MultiColumnComboBox - Kendo UI for Vue
description: "Explore the keyboard navigation options provided by the Kendo UI MultiColumnComboBox wrapper for Vue."
slug: keyboard_navigation_multicolumncombobox_wrapper
position: 10
---

# Keyboard Navigation

The keyboard support of the MultiColumnComboBox is always available.

To apply the keyboard shortcuts, focus the MultiColumnComboBox by clicking the example area and pressing the `Tab` key.

The MultiColumnComboBox, its input, and popup elements support the following keyboard shortcuts:

| SHORTCUT      | DESCRIPTION |
|:---           |:--- |
| `Up Arrow`    | Highlights the previous item.|
| `Down Arrow`  | Highlights the next item.|
| `Home`        | Highlights the first item.|
| `End`         | Highlights the last item.|
| `Page Up`     | Scrolls the popup up.|
| `Page Down`   | Scrolls the popup down.|
| `Enter`       | Selects the highlighted item.|
| `Esc`         | <ul><li>Closes the popup.</li> <li>Clears the value if the popup is not opened.</li></ul>|
| `Alt`+`Down Arrow`  | Opens the popup.|
| `Alt`+`Up Arrow`    | Closes the popup.|

{% meta height:350 %}
{% embed_file multicolumncombobox/keyboard/main.vue preview %}
{% embed_file multicolumncombobox/keyboard/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI MultiColumnComboBox for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/multicolumncombobox/overview)
* [API Reference of the MultiColumnComboBox Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/multicolumncombobox)
